function recout=convertannotationDrinkingSmoking(recin)
  
% recout=convertannotationDrinkingSmoking(recin)
%
% converts original torso annotation of hand-head
% actions such as Drinking and Smoking to smaller
% rectagular areas around the face and smaller
% temporal extents. For exact parameters see the
% code.
%
  
  
recout=recin;

for i=1:length(recin)
  for j=1:length(recin(i).events)
    ev=recin(i).events(j);
    % changing spatial extent of the event
    fx1=ev.keyframes.objects.bbox(1);
    fy1=ev.keyframes.objects.bbox(2);
    fx2=ev.keyframes.objects.bbox(3);
    fy2=ev.keyframes.objects.bbox(4);
    fw=fx2-fx1; fh=fy2-fy1;
    ev.predictedbbox([1 2 4 5])=round([fx1-.3*fw fy1 fx2+.3*fw fy2+.25*fh]);
    % changing temporal extent
    t=ev.keyframes.frame;
    wt1=t-ev.predictedbbox(3);
    wt2=ev.predictedbbox(6)-t;
    %ev.predictedbbox([3 6])=round([t-.7*wt1 t+.7*wt2]);
    ev.predictedbbox([3 6])=round([t-.9*wt1 t+.9*wt2]);
    
    % update observed bounding box
    ev.observedbbox([1 2 3])=max(ev.observedbbox([1 2 3]),ev.predictedbbox([1 2 3]));
    ev.observedbbox([4 5 6])=min(ev.observedbbox([4 5 6]),ev.predictedbbox([4 5 6]));
    
    % update events
    recout(i).events(j)=ev;
  end
end
